Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.util
Interface TypeName

All Superinterfaces:
  Comparable<GenericName>, GenericName, LocalName

    @UML(identifier="TypeName",
         specification=ISO_19103)
    public interface TypeName

extends LocalName

The name of an attribute type.

Since:
  GeoAPI 2.1

Method Summary

Methods inherited from interface LocalName
`depth, getParsedNames, name, toString`

Methods inherited from interface GenericName
`asLocalName, asScopedName, getScope, push, scope, toFullyQualifiedName, toInternationalString`

Methods inherited from interface Comparable
`compareTo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.